# Reference:
# Mastromatteo, D. (2018): https://thepythoncorner.com/posts/2018-08-01-how-to-create-a-windows-service-in-python/
import app
import time
from PythonService import PythonService

class MointorImageService(PythonService):
    # Define the class variables
    _svc_name_ = "MointorImageOnLandingPageService"
    _svc_display_name_ = "MSSQLTips Mointor Images Service"
    _svc_description_ = "Mointor images on the landing page of the MSSQLTips.com."
    _exe_name_ = "C:\pyvirtuals\monitor_landing_page\Scripts\pythonservice.exe"

    # Override the method to set the running condition
    def start(self):
        self.isrunning = True

    # Override the method to invalidate the running condition 
    # When the service is requested to be stopped.
    def stop(self):
        self.isrunning = False

    # Override the method to perform the service function
    def main(self):
        while self.isrunning:
            app.check_web_page_images()
            time.sleep(5)

# Use this condition to determine the execution context.
if __name__ == '__main__':
    # Handle the command line when run as a script
    MointorImageService.parse_command_line()
